<template>
  <v-container grid-list-md text-xs-center>
    <v-layout>
      <v-flex xs12>
        <v-card dark color="primary">
          <v-card-text class="px-0">
            <h2>Formulaire de création</h2>
          </v-card-text>
        </v-card>
      </v-flex>
    </v-layout>
    <admin-gestion-produits-detail :key="componentKey" v-on:refreshFromComponent="forceRerender()" ref="firstLevel" :moduleName="moduleName" :action="'create'"></admin-gestion-produits-detail>
  </v-container>
</template>
<script>
import AdminGestionProduitsDetail from "@/components/Admin/GestionProduits/AdmGestionProduitsDetail.vue";

export default {
  beforeMount: function() {
    this.moduleName = this.$route.params.module;
  },
  components: {
    "admin-gestion-produits-detail": AdminGestionProduitsDetail
  },
  data() {
    return {
      componentKey: 0,
      moduleName: null
    };
  },
  methods: {
    // methode pour forcer a la demande le rendu du component dans la vue
    forceRerender() {
      this.componentKey += 1;
    }
  }
};
</script>
